Bug 145675 - initrd fails to mount / read-only if using non-default mount options in fstab
initrd fails to mount / read-only if using non-default mount options in fstab
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-20 11:24 EST by Bjoern Engels
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-07 17:47:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bjoern Engels 2005-01-20 11:24:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
If you use an fstab entry like
/dev/hda1  /  ext3  rw,acl 1 1
mkinitrd will create a ramdisk using those options.

If the system boots using that initrd it will mount / read-write,
letting switchroot fail (I guess that it's switchroot).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. replace "defaults" for root partition in fstab with e.g. "rw"
2. create a new initrd
3. boot system using new initrd
    

Actual Results:  System doesn't start up as expected, leaving you in
filesystem repair mode.

Expected Results:  up and running system

Additional info:
Comment 1 Peter Jones 2005-03-07 17:47:42 EST
Don't do that.

Note You need to log in before you can comment on or make changes to this bug.